<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Admin extends CI_Controller {
	/***** ADMIN INDEX *********/
	public function index(){
		if($this->session->userdata('login') == 1){
			redirect(base_url().strtolower($this->session->userdata('directory')) . '/dashboard', 'refresh');
		}
		$this->load->view('admin/login');
	}
	/***** ADMIN INDEX *********/
	
	/* VERIFY ACCOUNT */
	public function login(){ 
		// Validate the user can login
		$result = $this->Db_model->login_varify_accounts();
		
		// Now we verify the result
		if($result){
			$this->session->set_userdata('user_name',$result->first_name);
			$this->session->set_userdata('users_id',$result->users_system_id);
			$this->session->set_userdata('users_email',$result->email);
			$this->session->set_userdata('directory','admin');
			$this->session->set_userdata('login',1);
			$this->session->set_flashdata('msg_success', 'Login Successfully.');
			redirect(base_url().'admin/dashboard', 'refresh');
		}else{
		// If user did validate, 
			$this->session->set_flashdata('msg_error', 'Email or password not correct!');
			redirect(base_url().'admin', 'refresh');
		}	
	}
	
	public function forgot_password(){
		$this->load->view('admin/forgot_password');
	}
	
	public function CheckEmail($param1='', $param2 =''){
		$email  = $this->input->post('email');
		$db_val = $this->db->get_where('user', array('email' => $email))->num_rows();
		if($db_val >0){
			echo 'email already exist';
		}else{
			echo 'notexist';
		}
		exit;
	}
	
	public function retrieve_password($param1='', $param2 =''){
		$user_email = $this->input->post('retrive_email');   
		$response = $this->Db_model->retrieve_password($user_email);
		if($response== 'Mail Sent'){
			$this->session->set_flashdata('msg_success', ' Password Reset Link Sent To Your Email Successfully');					
		} else if($response== 'Mail Not Sent'){
			$this->session->set_flashdata('msg_error', ' Error In Sending Mail. Try Again.');					
		} else if($response== 'Email Not Found'){
			$this->session->set_flashdata('msg_error', ' Email Not Found, Please Check Your Email');					
		}
		$this->load->view('admin/login');
	}
	
	public function resetpassword($verification_code=''){
		$decoded_code = base64_decode($verification_code);
		$code_array = explode("_",$decoded_code);
		$user_id = $code_array[0];
		$data['user_id'] = $user_id;
		$this->load->view('admin/reset_password',$data);
	}
	
	public function reset_password($verification_code='', $user_id = ''){
		if($verification_code == 'update_password'){
			$new_password = $this->input->post('new_password');
			$confirm_password = $this->input->post('confirm_password');
			if($new_password != $confirm_password){
				$this->session->set_flashdata('msg_error', ' Your password did not match, try again.');
				redirect(base_url().'admin', 'refresh');
			} else if($new_password == $confirm_password){
				$this->db->query("UPDATE user SET password = '".$new_password."', reset_password_code = ''  WHERE user_id = '".$user_id."'  ");
				$this->session->set_flashdata('msg_success', ' Password Updated Successfully.');
				redirect(base_url().'admin', 'refresh');
			}
		}
	}
	/***** Retrieve Password Page *********/
	public function logout(){ 
		$this->session->unset_userdata('login');
		$this->session->sess_destroy();
		$this->session->set_flashdata('msg_error', 'logout Successfully!.');
		redirect(base_url().'admin', 'refresh');
	}
	/* VERIFY ACCOUNT */ 
	
	/***** DASBOARD *********/
	public function dashboard(){
		if($this->session->userdata('login') != 1){
			 redirect(base_url().'admin', 'refresh');
		}
		
		$data['page_title'] 	= 'Dashboard';
		$data['page_sub_title'] = '';
		$data['page_name'] 		= 'dashboard';
		$this->load->view(strtolower($this->session->userdata('directory')) .'/index', $data);
	}
	/***** DASBOARD *********/
	
	/***** MANAGE CATEGORIES *********/
	public function manage_categories($param1='', $param2=''){
		if($this->session->userdata('login') != 1){
			 redirect(base_url().'admin', 'refresh');
		}
		
		if($param1 =='add'){
			$saveData['title'] 			= $this->input->post('title');
			$saveData['sort_order'] 	= $this->input->post('sort_order');
			$saveData['status'] 		= $this->input->post('status');
			$result = $this->Db_model->add_data('category',$saveData);
			$category_id = $this->db->insert_id();
			/* Add Image Start Here */
			if(!empty($_FILES['cover_image']['name'])){
				$extension = array("jpeg","jpg","png","gif");
				$file_name = $_FILES["cover_image"]["name"];
				$file_name = str_replace(" ","", $file_name);
				$file_tmp = $_FILES["cover_image"]["tmp_name"];
				$ext = pathinfo($file_name,PATHINFO_EXTENSION);
				if(in_array($ext,$extension)) {
					if(!file_exists("uploads/category_images/".$file_name)) {
						move_uploaded_file($file_tmp=$_FILES["cover_image"]["tmp_name"],"uploads/category_images/".$file_name);
						$result = $this->db->query("UPDATE category SET image = '".$file_name."' WHERE category_id = '".$category_id."' ");
					} else {
						$filename=basename($file_name,$ext);
						$newFileName = $filename.time().".".$ext;
						$newFileName = str_replace(" ","", $newFileName);
						move_uploaded_file($file_tmp=$_FILES["cover_image"]["tmp_name"],"uploads/category_images/".$newFileName);
						$result = $this->db->query("UPDATE category SET image = '".$newFileName."' WHERE category_id = '".$category_id."' ");
					}
				}
			}
			/* Add Image End Here */
			if($result){
				$this->session->set_flashdata('msg_success', 'Category Added Successfully');
			}else{
				$this->session->set_flashdata('msg_error', 'Oops!something went wrong');
			}
			redirect(base_url().strtolower($this->session->userdata('directory')) . '/manage_categories', 'refresh');
		}
		
		if($param1 =='edit'){
			$updateData['title'] 		= $this->input->post('title');
			$updateData['sort_order'] 	= $this->input->post('sort_order');
			$updateData['status'] 		= $this->input->post('status');
			$result = $this->Db_model->update_data('category',$param2,$updateData);
			/* Update Image Start Here */
			if(!empty($_FILES['cover_image']['name'])){
				$get_details = $this->db->get_where('category', array('category_id'=>$param2))->row();
				$old_image_name = $get_details->image;
				
				$extension = array("jpeg","jpg","png","gif");
				$file_name = $_FILES["cover_image"]["name"];
				$file_name = str_replace(" ","", $file_name);
				$file_tmp = $_FILES["cover_image"]["tmp_name"];
				$ext = pathinfo($file_name,PATHINFO_EXTENSION);
				if(in_array($ext,$extension)) {
					if(!file_exists("uploads/category_images/".$file_name)) {
						move_uploaded_file($file_tmp=$_FILES["cover_image"]["tmp_name"],"uploads/category_images/".$file_name);
						$result = $this->db->query("UPDATE category SET image = '".$file_name."' WHERE category_id = '".$param2."' ");
					} else {
						if(!empty($old_image_name)){							
							unlink("uploads/category_images/".$old_image_name);
						}
						$filename=basename($file_name,$ext);
						$newFileName = $filename.time().".".$ext;
						$newFileName = str_replace(" ","", $newFileName);
						move_uploaded_file($file_tmp=$_FILES["cover_image"]["tmp_name"],"uploads/category_images/".$newFileName);
						$result = $this->db->query("UPDATE category SET image = '".$newFileName."' WHERE category_id = '".$param2."' ");
					}
				}
			}
			/* Update Image End Here */
			if($result){
				$this->session->set_flashdata('msg_success', 'Category Updated Successfully');
			}else{
				$this->session->set_flashdata('msg_error', 'Oops!something went wrong');
			}
			redirect(base_url().strtolower($this->session->userdata('directory')) . '/manage_categories', 'refresh');
		}

		if($param1 =='delete'){
			$result = $this->Db_model->delete_data('category',$param2);
			if($result){
				$this->session->set_flashdata('msg_success', 'Category Deleted Successfully');
			}else{
				$this->session->set_flashdata('msg_error', 'Oops!something went wrong');
			}
			redirect(base_url().strtolower($this->session->userdata('directory')) . '/manage_categories', 'refresh');
		}
		$this->db->order_by('category_id', 'DESC');
		$data['categories'] 	= $this->Db_model->get_data_In_array('category');
		$data['page_title'] 	= 'Manage Categories';
		$data['page_sub_title'] = 'All Categories';
		$data['page_name'] 		= 'manage_categories';
		$this->load->view(strtolower($this->session->userdata('directory')) .'/index', $data);
	}
	/***** MANAGE CATEGORIES *********/
	
	/***** MANAGE UGAMES *********/
	public function manage_ugames($param1='', $param2=''){
		if($this->session->userdata('login') != 1){
			 redirect(base_url().'admin', 'refresh');
		}
		
		if($param1 =='add'){
			$saveData['category_id'] 	= $this->input->post('category_id');
			$saveData['name'] 	        = $this->input->post('name');
			$saveData['description'] 	= $this->input->post('description');
			$saveData['directory'] 	    = $this->input->post('directory');
			$saveData['game_type'] 	    = $this->input->post('game_type');
			$saveData['practice'] 	    = $this->input->post('practice');
			$saveData['tournament'] 	= $this->input->post('tournament');
			$saveData['embed_code'] 	= '';
			$saveData['status'] 		= $this->input->post('status');
			$result = $this->Db_model->add_data('ugames',$saveData);

			/* Add Image Start Here */
			$ugames_id = $this->db->insert_id();
			if(!empty($_FILES['thumbnail']['name'])){
				$extension = array("jpeg","jpg","png","gif");
				$file_name = $_FILES["thumbnail"]["name"];
				$file_name = str_replace(" ","", $file_name);
				$file_tmp = $_FILES["thumbnail"]["tmp_name"];
				$ext = pathinfo($file_name,PATHINFO_EXTENSION);
				if(in_array($ext,$extension)) {
					if(!file_exists("uploads/ugames/".$file_name)) {
						move_uploaded_file($file_tmp=$_FILES["thumbnail"]["tmp_name"],"uploads/ugames/".$file_name);
						$result = $this->db->query("UPDATE ugames SET thumbnail = '".$file_name."' WHERE ugames_id = '".$ugames_id."' ");
					} else {
						$filename=basename($file_name,$ext);
						$newFileName = $filename.time().".".$ext;
						$newFileName = str_replace(" ","", $newFileName);
						move_uploaded_file($file_tmp=$_FILES["thumbnail"]["tmp_name"],"uploads/ugames/".$newFileName);
						$result = $this->db->query("UPDATE ugames SET thumbnail = '".$newFileName."' WHERE ugames_id = '".$ugames_id."' ");
					}
				}
			}
			/* Add Image End Here */

			if($result){
				$this->session->set_flashdata('msg_success', 'Game Added Successfully');
			}else{
				$this->session->set_flashdata('msg_error', 'Oops!something went wrong');
			}
			redirect(base_url().strtolower($this->session->userdata('directory')) . '/manage_ugames', 'refresh');
		}
		
		if($param1 =='edit'){
			$updateData['category_id'] 	= $this->input->post('category_id');
			$updateData['name'] 	    = $this->input->post('name');
			$updateData['description'] 	= $this->input->post('description');
			$updateData['directory'] 	= $this->input->post('directory');
			$updateData['game_type'] 	= $this->input->post('game_type');
			$updateData['embed_code'] 	= '';
			$updateData['practice'] 	= $this->input->post('practice');
			$updateData['tournament'] 	= $this->input->post('tournament');
			$updateData['status'] 		= $this->input->post('status');
			$result = $this->Db_model->update_data('ugames',$param2,$updateData);
			
			/* Add Image Start Here */
			$ugames_id = $param2;
			if(!empty($_FILES['thumbnail']['name'])){
				$extension = array("jpeg","jpg","png","gif");
				$file_name = $_FILES["thumbnail"]["name"];
				$file_name = str_replace(" ","", $file_name);
				$file_tmp = $_FILES["thumbnail"]["tmp_name"];
				$ext = pathinfo($file_name,PATHINFO_EXTENSION);
				if(in_array($ext,$extension)) {
					if(!file_exists("uploads/ugames/".$file_name)) {
						move_uploaded_file($file_tmp=$_FILES["thumbnail"]["tmp_name"],"uploads/ugames/".$file_name);
						$result = $this->db->query("UPDATE ugames SET thumbnail = '".$file_name."' WHERE ugames_id = '".$ugames_id."' ");
					} else {
						$filename=basename($file_name,$ext);
						$newFileName = $filename.time().".".$ext;
						$newFileName = str_replace(" ","", $newFileName);
						move_uploaded_file($file_tmp=$_FILES["thumbnail"]["tmp_name"],"uploads/ugames/".$newFileName);
						$result = $this->db->query("UPDATE ugames SET thumbnail = '".$newFileName."' WHERE ugames_id = '".$ugames_id."' ");
					}
				}
			}
			/* Add Image End Here */
			if($result){
				$this->session->set_flashdata('msg_success', 'Game Updated Successfully');
			}else{
				$this->session->set_flashdata('msg_error', 'Oops!something went wrong');
			}
			redirect(base_url().strtolower($this->session->userdata('directory')) . '/manage_ugames', 'refresh');
		}

		if($param1 =='add_embed'){
			$saveData['category_id'] 	= $this->input->post('category_id');
			$saveData['name'] 	        = $this->input->post('name');
			$saveData['description'] 	= $this->input->post('description');
			$saveData['directory'] 	    = '';
			$saveData['game_type'] 	    = $this->input->post('game_type');
			$saveData['embed_code'] 	= $this->input->post('embed_code');
			$saveData['practice'] 		= $this->input->post('practice');
			$saveData['tournament'] 	= $this->input->post('tournament');
			$saveData['status'] 		= $this->input->post('status');
			$result = $this->Db_model->add_data('ugames',$saveData);

			/* Add Image Start Here */
			$ugames_id = $this->db->insert_id();
			if(!empty($_FILES['thumbnail']['name'])){
				$extension = array("jpeg","jpg","png","gif");
				$file_name = $_FILES["thumbnail"]["name"];
				$file_name = str_replace(" ","", $file_name);
				$file_tmp = $_FILES["thumbnail"]["tmp_name"];
				$ext = pathinfo($file_name,PATHINFO_EXTENSION);
				if(in_array($ext,$extension)) {
					if(!file_exists("uploads/ugames/".$file_name)) {
						move_uploaded_file($file_tmp=$_FILES["thumbnail"]["tmp_name"],"uploads/ugames/".$file_name);
						$result = $this->db->query("UPDATE ugames SET thumbnail = '".$file_name."' WHERE ugames_id = '".$ugames_id."' ");
					} else {
						$filename=basename($file_name,$ext);
						$newFileName = $filename.time().".".$ext;
						$newFileName = str_replace(" ","", $newFileName);
						move_uploaded_file($file_tmp=$_FILES["thumbnail"]["tmp_name"],"uploads/ugames/".$newFileName);
						$result = $this->db->query("UPDATE ugames SET thumbnail = '".$newFileName."' WHERE ugames_id = '".$ugames_id."' ");
					}
				}
			}
			/* Add Image End Here */

			if($result){
				$this->session->set_flashdata('msg_success', 'Game Added Successfully');
			}else{
				$this->session->set_flashdata('msg_error', 'Oops!something went wrong');
			}
			redirect(base_url().strtolower($this->session->userdata('directory')) . '/manage_ugames', 'refresh');
		}
		
		if($param1 =='edit_embed'){
			$updateData['category_id'] 	= $this->input->post('category_id');
			$updateData['name'] 	    = $this->input->post('name');
			$updateData['directory'] 	= '';
			$updateData['game_type'] 	= $this->input->post('game_type');
			$updateData['embed_code'] 	= $this->input->post('embed_code');
			$updateData['practice'] 	= $this->input->post('practice');
			$updateData['tournament'] 	= $this->input->post('tournament');
			$updateData['status'] 		= $this->input->post('status');
			$result = $this->Db_model->update_data('ugames',$param2,$updateData);
			
			/* Add Image Start Here */
			$ugames_id = $param2;
			if(!empty($_FILES['thumbnail']['name'])){
				$extension = array("jpeg","jpg","png","gif");
				$file_name = $_FILES["thumbnail"]["name"];
				$file_name = str_replace(" ","", $file_name);
				$file_tmp = $_FILES["thumbnail"]["tmp_name"];
				$ext = pathinfo($file_name,PATHINFO_EXTENSION);
				if(in_array($ext,$extension)) {
					if(!file_exists("uploads/ugames/".$file_name)) {
						move_uploaded_file($file_tmp=$_FILES["thumbnail"]["tmp_name"],"uploads/ugames/".$file_name);
						$result = $this->db->query("UPDATE ugames SET thumbnail = '".$file_name."' WHERE ugames_id = '".$ugames_id."' ");
					} else {
						$filename=basename($file_name,$ext);
						$newFileName = $filename.time().".".$ext;
						$newFileName = str_replace(" ","", $newFileName);
						move_uploaded_file($file_tmp=$_FILES["thumbnail"]["tmp_name"],"uploads/ugames/".$newFileName);
						$result = $this->db->query("UPDATE ugames SET thumbnail = '".$newFileName."' WHERE ugames_id = '".$ugames_id."' ");
					}
				}
			}
			/* Add Image End Here */
			if($result){
				$this->session->set_flashdata('msg_success', 'Game Updated Successfully');
			}else{
				$this->session->set_flashdata('msg_error', 'Oops!something went wrong');
			}
			redirect(base_url().strtolower($this->session->userdata('directory')) . '/manage_ugames', 'refresh');
		}

		if($param1 =='delete'){
			$result = $this->Db_model->delete_data('ugames',$param2);
			if($result){
				$this->session->set_flashdata('msg_success', 'Game Deleted Successfully');
			}else{
				$this->session->set_flashdata('msg_error', 'Oops!something went wrong');
			}
			redirect(base_url().strtolower($this->session->userdata('directory')) . '/manage_ugames', 'refresh');
		}
		$this->db->order_by('ugames_id', 'DESC');
		$data['ugames'] 	= $this->Db_model->get_data_In_array('ugames', 'admin');
		$data['page_title'] 	= 'Manage Games';
		$data['page_sub_title'] = 'All Games';
		$data['page_name'] 		= 'manage_ugames';
		$this->load->view(strtolower($this->session->userdata('directory')) .'/index', $data);
	}
	/***** MANAGE GAMES *********/

	/***** MANAGE BANNER ADS *********/
	public function manage_ads($param1='', $param2=''){
		if($this->session->userdata('login') != 1){
			 redirect(base_url().'admin', 'refresh');
		}
		
		if($param1 =='add'){
			$saveData['position'] 	= $this->input->post('position');
			$saveData['name'] 	        = $this->input->post('name');
			$saveData['duration'] 	        = $this->input->post('duration');
			$saveData['banners_url'] 	= $this->input->post('banners_url');
			$saveData['status'] 		= $this->input->post('status');
			$result = $this->Db_model->add_data('ads_banners',$saveData);

			/* Add Image Start Here */
			$ads_banners_id = $this->db->insert_id();
			if(!empty($_FILES['banners_image']['name'])){
				$extension = array("jpeg","jpg","png","gif");
				$file_name = $_FILES["banners_image"]["name"];
				$file_name = str_replace(" ","", $file_name);
				$file_tmp = $_FILES["banners_image"]["tmp_name"];
				$ext = pathinfo($file_name,PATHINFO_EXTENSION);
				if(in_array($ext,$extension)) {
					if(!file_exists("uploads/banners/".$file_name)) {
						move_uploaded_file($file_tmp=$_FILES["banners_image"]["tmp_name"],"uploads/banners/".$file_name);
						$result = $this->db->query("UPDATE ads_banners SET banners_image = '".$file_name."' WHERE ads_banners_id = '".$ads_banners_id."' ");
					} else {
						$filename=basename($file_name,$ext);
						$newFileName = $filename.time().".".$ext;
						$newFileName = str_replace(" ","", $newFileName);
						move_uploaded_file($file_tmp=$_FILES["banners_image"]["tmp_name"],"uploads/banners/".$newFileName);
						$result = $this->db->query("UPDATE ads_banners SET banners_image = '".$newFileName."' WHERE ads_banners_id = '".$ads_banners_id."' ");
					}
				}
			}
			/* Add Image End Here */

			if($result){
				$this->session->set_flashdata('msg_success', 'Ad Added Successfully');
			}else{
				$this->session->set_flashdata('msg_error', 'Oops!something went wrong');
			}
			redirect(base_url().strtolower($this->session->userdata('directory')) . '/manage_ads', 'refresh');
		}
		
		if($param1 =='edit'){
			$updateData['position'] 	= $this->input->post('position');
			$updateData['name'] 	        = $this->input->post('name');
			$updateData['duration'] 	        = $this->input->post('duration');
			$updateData['banners_url'] 	= $this->input->post('banners_url');
			$updateData['status'] 		= $this->input->post('status');
			$result = $this->Db_model->update_data('ads_banners',$param2,$updateData);
			
			/* Add Image Start Here */
			$ads_banners_id = $param2;
			if(!empty($_FILES['banners_image']['name'])){
				$extension = array("jpeg","jpg","png","gif");
				$file_name = $_FILES["banners_image"]["name"];
				$file_name = str_replace(" ","", $file_name);
				$file_tmp = $_FILES["banners_image"]["tmp_name"];
				$ext = pathinfo($file_name,PATHINFO_EXTENSION);
				if(in_array($ext,$extension)) {
					if(!file_exists("uploads/banners/".$file_name)) {
						move_uploaded_file($file_tmp=$_FILES["banners_image"]["tmp_name"],"uploads/banners/".$file_name);
						$result = $this->db->query("UPDATE ads_banners SET banners_image = '".$file_name."' WHERE ads_banners_id = '".$ads_banners_id."' ");
					} else {
						$filename=basename($file_name,$ext);
						$newFileName = $filename.time().".".$ext;
						$newFileName = str_replace(" ","", $newFileName);
						move_uploaded_file($file_tmp=$_FILES["banners_image"]["tmp_name"],"uploads/banners/".$newFileName);
						$result = $this->db->query("UPDATE ads_banners SET banners_image = '".$newFileName."' WHERE ads_banners_id = '".$ads_banners_id."' ");
					}
				}
			}
			/* Add Image End Here */
			if($result){
				$this->session->set_flashdata('msg_success', 'Ad Updated Successfully');
			}else{
				$this->session->set_flashdata('msg_error', 'Oops!something went wrong');
			}
			redirect(base_url().strtolower($this->session->userdata('directory')) . '/manage_ads', 'refresh');
		}

		if($param1 =='delete'){
			$result = $this->Db_model->delete_data('ads_banners',$param2);
			if($result){
				$this->session->set_flashdata('msg_success', 'Ad Deleted Successfully');
			}else{
				$this->session->set_flashdata('msg_error', 'Oops!something went wrong');
			}
			redirect(base_url().strtolower($this->session->userdata('directory')) . '/manage_ads', 'refresh');
		}
		$this->db->order_by('ads_banners_id', 'DESC');
		$data['ads_banners'] 	= $this->Db_model->get_data_In_array('ads_banners');

		$this->db->order_by('ads_video_id', 'DESC');
		$data['ads_video'] 	= $this->Db_model->get_data_In_array('ads_video');

		$data['page_title'] 	= 'Manage Ads';
		$data['page_sub_title'] = 'All Ads';
		$data['page_name'] 		= 'manage_ads';
		$this->load->view(strtolower($this->session->userdata('directory')) .'/index', $data);
	}
	/***** MANAGE BANNER ADS *********/
	
	/***** MANAGE VIDEO ADS *********/
	public function manage_videos($param1='', $param2=''){
		if($this->session->userdata('login') != 1){
			 redirect(base_url().'admin', 'refresh');
		}
		
		if($param1 =='add'){
			$saveData['name'] 	        = $this->input->post('name');
			$saveData['status'] 		= $this->input->post('status');
			$result = $this->Db_model->add_data('ads_video',$saveData);
			
			/* Add Video Start Here */
			$ads_video_id = $this->db->insert_id();
			if(!empty($_FILES['banners_video']['name'])){
				$extension = array("jpeg","jpg","png","gif","mp4");
				$file_name = $_FILES["banners_video"]["name"];
				$file_name = str_replace(" ","", $file_name);
				$file_tmp = $_FILES["banners_video"]["tmp_name"];
				$ext = pathinfo($file_name,PATHINFO_EXTENSION);
				if(in_array($ext,$extension)) {
					if(!file_exists("uploads/videos/".$file_name)) {
						move_uploaded_file($file_tmp=$_FILES["banners_video"]["tmp_name"],"uploads/videos/".$file_name);
						$result = $this->db->query("UPDATE ads_video SET banners_video = '".$file_name."' WHERE ads_video_id = '".$ads_video_id."' ");
					} else {
						$filename=basename($file_name,$ext);
						$newFileName = $filename.time().".".$ext;
						$newFileName = str_replace(" ","", $newFileName);
						move_uploaded_file($file_tmp=$_FILES["banners_video"]["tmp_name"],"uploads/videos/".$newFileName);
						$result = $this->db->query("UPDATE ads_video SET banners_video = '".$newFileName."' WHERE ads_video_id = '".$ads_video_id."' ");
					}
				}
			}
			/* Add Video End Here */

			if($result){
				$this->session->set_flashdata('msg_success', 'Ad Added Successfully');
			}else{
				$this->session->set_flashdata('msg_error', 'Oops!something went wrong');
			}
			redirect(base_url().strtolower($this->session->userdata('directory')) . '/manage_videos', 'refresh');
		}
		
		if($param1 =='edit_video'){
			$updateData['name'] 	    = $this->input->post('name');
			$updateData['status'] 		= $this->input->post('status');
			$result = $this->Db_model->update_data('ads_video',$param2,$updateData);
			
			/* Add Video Start Here */
			$ads_video_id = $param2;
			if(!empty($_FILES['banners_video']['name'])){
				$extension = array("jpeg","jpg","png","gif","mp4");
				$file_name = $_FILES["banners_video"]["name"];
				$file_name = str_replace(" ","", $file_name);
				$file_tmp = $_FILES["banners_video"]["tmp_name"];
				$ext = pathinfo($file_name,PATHINFO_EXTENSION);
				if(in_array($ext,$extension)) {
					if(!file_exists("uploads/videos/".$file_name)) {
						move_uploaded_file($file_tmp=$_FILES["banners_video"]["tmp_name"],"uploads/videos/".$file_name);
						$result = $this->db->query("UPDATE ads_video SET banners_video = '".$file_name."' WHERE ads_video_id = '".$ads_video_id."' ");
					} else {
						$filename=basename($file_name,$ext);
						$newFileName = $filename.time().".".$ext;
						$newFileName = str_replace(" ","", $newFileName);
						move_uploaded_file($file_tmp=$_FILES["banners_video"]["tmp_name"],"uploads/videos/".$newFileName);
						$result = $this->db->query("UPDATE ads_video SET banners_video = '".$newFileName."' WHERE ads_video_id = '".$ads_video_id."' ");
					}
				}
			}
			/* Add Video End Here */
			if($result){
				$this->session->set_flashdata('msg_success', 'Video Ad Updated Successfully');
			}else{
				$this->session->set_flashdata('msg_error', 'Oops!something went wrong');
			}
			redirect(base_url().strtolower($this->session->userdata('directory')) . '/manage_videos', 'refresh');
		}

		if($param1 =='delete'){
			$video_details 	 = $this->db->get_where('ads_video', array('ads_video_id'=>$param2))->row();
			$video_file_name = $video_details->banners_video;
			if(!file_exists("uploads/videos/".$video_file_name)) {
				unlink("uploads/videos/".$video_file_name);
			}
			$result = $this->Db_model->delete_data('ads_video',$param2);
			if($result){
				$this->session->set_flashdata('msg_success', 'Ad Deleted Successfully');
			}else{
				$this->session->set_flashdata('msg_error', 'Oops!something went wrong');
			}
			redirect(base_url().strtolower($this->session->userdata('directory')) . '/manage_videos', 'refresh');
		}
		$this->db->order_by('ads_video_id', 'DESC');
		$data['ads_video'] 	= $this->Db_model->get_data_In_array('ads_video');

		$data['page_title'] 	= 'Manage Video Ads';
		$data['page_sub_title'] = 'All Video Ads';
		$data['page_name'] 		= 'manage_videos';
		$this->load->view(strtolower($this->session->userdata('directory')) .'/index', $data);
	}
	/***** MANAGE VIDEO ADS *********/
	
	/***** MANAGE PLAYERS *********/
	public function manage_players($param1='', $param2=''){
		if($this->session->userdata('login') != 1){
			 redirect(base_url().'admin', 'refresh');
		}
		
		if($param1 =='edit'){
			$updateData['name'] 		= $this->input->post('name');
			$updateData['email'] 	= $this->input->post('email');
			$updateData['password'] 	= $this->input->post('password');
			$updateData['status'] 		= $this->input->post('status');
			$result = $this->Db_model->update_data('user', $param2, $updateData);
			
			if($result){
				$this->session->set_flashdata('msg_success', 'Player Updated Successfully');
			}else{
				$this->session->set_flashdata('msg_error', 'Oops!something went wrong');
			}
			redirect(base_url().strtolower($this->session->userdata('directory')) . '/manage_players', 'refresh');
		}

		if($param1 =='delete'){
			$result = $this->Db_model->delete_data('user',$param2);
			if($result){
				$this->session->set_flashdata('msg_success', 'Player Deleted Successfully');
			}else{
				$this->session->set_flashdata('msg_error', 'Oops!something went wrong');
			}
			redirect(base_url().strtolower($this->session->userdata('directory')) . '/manage_players', 'refresh');
		}

		$this->db->order_by('user_id', 'DESC');
		$data['users'] 	= $this->Db_model->get_data_In_array('user');
		$data['page_title'] 	= 'Manage Players';
		$data['page_sub_title'] = 'All Players';
		$data['page_name'] 		= 'manage_players';
		$this->load->view(strtolower($this->session->userdata('directory')) .'/index', $data);
	}
	/***** MANAGE PLAYERS *********/

	/***** MANAGE TOURNAMENT *********/
	public function manage_tournaments($param1='', $param2=''){
		if($this->session->userdata('login') != 1){
			 redirect(base_url().'admin', 'refresh');
		}
		
		if($param1 =='add'){
			$addData['name'] 	= $this->input->post('name');
			$addData['ugames_id'] 	= $this->input->post('ugames_id');

			$result = $this->Db_model->add_data('tournaments',$addData);
			$category_id = $this->db->insert_id();

			if($result){
				$this->session->set_flashdata('msg_success', 'Tournaments Added Successfully');
			}else{
				$this->session->set_flashdata('msg_error', 'Oops!something went wrong');
			}
			redirect(base_url().strtolower($this->session->userdata('directory')) . '/manage_tournaments', 'refresh');
		}

		if($param1 =='edit'){
			$updateData['name'] 				= $this->input->post('name');
			$updateData['ugames_id'] 			= $this->input->post('ugames_id');
			$updateData['stages'] 				= $this->input->post('stages');
			
			$updateData['playtime_room'] 		= $this->input->post('playtime_room');
			$updateData['players_room'] 		= $this->input->post('players_room');
			$updateData['players_room_moved'] 	= $this->input->post('players_room_moved');
			$updateData['prize_counts'] 		= $this->input->post('winner_count');
			$updateData['description'] 			= $this->input->post('tournament_description');
			$result = $this->Db_model->update_data('tournaments', $param2, $updateData);
			
			$this->db->where('tournaments_id',$param2);
			$this->db->delete('tournaments_stages');
			
			foreach($_POST['countdown'] as $key=>$stages){
				$saveData['countdown'] 		= $stages;
				$saveData['tournaments_id'] = $param2;
				$saveData['min_players'] 	= $_POST['min_players'][$key];
				$saveData['max_players'] 	= $_POST['max_players'][$key];
				$saveData['buy_in'] 		= $_POST['buy_in'][$key];
				$saveData['start_balance'] 	= $_POST['start_balance'][$key];
				$saveData['start_date'] 	= date('Y-m-d',strtotime($_POST['start_date'][$key]));
				$saveData['end_date'] 		= date('Y-m-d',strtotime($_POST['end_date'][$key]));
				$saveData['days'] 			= $_POST['days'][$key];
				$saveData['hours'] 			= $_POST['hours'][$key];
				$saveData['minutes'] 		= $_POST['minutes'][$key];
				$saveData['trigger_popup'] 	= $_POST['trigger_popup'][$key];
				$this->db->insert('tournaments_stages',$saveData);
			}

			foreach($_POST['reward_picker'] as $key=>$val){
				$saveData['player_position'] 	= $_POST['place'][$key];
				$saveData['type'] 				= $_POST['type_picker'][$key];
				$saveData['reward_id'] 			= $_POST['reward_picker'][$key];
				$saveData['tournament_id'] 		= $param2;
				$this->db->query("DELETE FROM prize_levels WHERE tournament_id = '".$param2."' ");
				$this->db->insert('prize_levels',$saveData);
			}

			/* $updateData['countdown'] 			= $this->input->post('countdown');
			$updateData['min_players'] 			= $this->input->post('min_players');
			$updateData['max_players'] 			= $this->input->post('max_players');
			$updateData['buy_in'] 				= $this->input->post('buy_in');
			$updateData['start_balance'] 		= $this->input->post('start_balance');
			$updateData['days'] 				= $this->input->post('days');
			$updateData['hours'] 				= $this->input->post('hours');
			$updateData['minutes'] 				= $this->input->post('minutes'); */

			if($result){
				$this->session->set_flashdata('msg_success', 'Tournaments Updated Successfully');
			}else{
				$this->session->set_flashdata('msg_error', 'Oops!something went wrong');
			}
			redirect(base_url().strtolower($this->session->userdata('directory')) . '/manage_tournaments', 'refresh');
		}

		if($param1 =='delete'){
			$result = $this->Db_model->delete_data('tournaments',$param2);
			if($result){
				$this->session->set_flashdata('msg_success', 'Tournaments Deleted Successfully');
			}else{
				$this->session->set_flashdata('msg_error', 'Oops!something went wrong');
			}
			redirect(base_url().strtolower($this->session->userdata('directory')) . '/manage_tournaments', 'refresh');
		}

		$this->db->order_by('tournaments_id', 'DESC');
		$data['tournaments'] 	= $this->Db_model->get_data_In_array('tournaments');
		$data['page_title'] 	= 'Manage Tournaments';
		$data['page_sub_title'] = 'All Tournaments';
		$data['page_name'] 		= 'manage_tournaments';
		$this->load->view(strtolower($this->session->userdata('directory')) .'/index', $data);
	}
	/***** MANAGE TOURNAMENT *********/

	/***** MANAGE TOURNAMENT *********/
	public function tournaments_edit($param1='', $param2=''){
		if($this->session->userdata('login') != 1){
			 redirect(base_url().'admin', 'refresh');
		}
		if($param1 =='get_data'){
			$tournaments_id = $this->input->post('tournaments_id');
			$stages_data = $this->db->get_where('tournaments_stages', array('tournaments_id' => $tournaments_id))->result_array();
			echo json_encode($stages_data);
			exit;
		}
		
		$data['tournaments_id']	= $param1;
		$data['page_title'] 	= 'Manage Tournaments';
		$data['page_sub_title'] = 'Edit Tournaments';
		$data['page_name'] 		= 'manage_tournaments_edit';
		$this->load->view(strtolower($this->session->userdata('directory')) .'/index', $data);
	}
	/***** MANAGE TOURNAMENT *********/

	/***** MY PROFILE *********/
	public function myprofile($param1=''){
		if($this->session->userdata('login') != 1){
			redirect(base_url().strtolower($this->session->userdata('directory')), 'refresh');
		}
		
		if($param1 == 'update'){
			$response = $this->Db_model->update_admin_profile();
			$this->session->set_flashdata('msg_success', ' Updated Successfully');
			redirect(base_url().strtolower($this->session->userdata('directory')) . '/myprofile', 'refresh');
		}
		
		$data['profile_data'] 	= $this->db->get_where('users_system', array('users_system_id' => '1'))->row();
		$data['page_title'] 	= 'My Profile';
		$data['page_sub_title'] = 'Update Your Profile';
		$data['page_name'] = 'myprofile';
		$this->load->view(strtolower($this->session->userdata('directory')) .'/index', $data);
	}
	/***** MY PROFILE *********/

	/***** SYSTEM SETTINGS *********/
	public function system_settings($param1=''){
		if($this->session->userdata('login') != 1){
			redirect(base_url().strtolower($this->session->userdata('directory')), 'refresh');
		}
		
		if($param1 == 'update'){
			$response = $this->Db_model->update_system_settings();
			$this->session->set_flashdata('msg_success', ' Updated Successfully');
			redirect(base_url().strtolower($this->session->userdata('directory')) . '/system_settings', 'refresh');
		}
		
		$data['system_data'] 	= $this->db->get('system_settings')->result();
		$data['page_title'] 	= 'System Settings';
		$data['page_sub_title'] = 'Update Your System Settings';
		$data['page_name'] = 'system_settings';
		$this->load->view(strtolower($this->session->userdata('directory')) .'/index', $data);
	}
	/***** SYSTEM SETTINGS *********/
}